Subject: [PATCH] bootloader: extlinux: support for optional FDTDIR

From: Pavel Shlyak <[email-masked]>
Date: Wed, 10 Aug 2022 17:37:47 +0300

Maxime, how is your information about pantherx related to the patch? This patch in question makes guix bootloader config more flexible with the perspective of supporting additional hardware. It doesn’t rely on any component of pantherx, thus I am not sure it’s the right place to discuss that.

As for the tests, I ran the image on a non-guix arm machine and I doubt it’s possible or makes sense to run a VM during tests phase. That would require much effort and probably hardware support for virtualization (that’s not present on many relevant machines). I believe a simple test like checking if the line is present in a newly generated extlinux.conf would have more sense.

Sincerely,
Pavel